Name:           bleachbit
Version:        0.8.7
Release:        2%{?dist}
Summary:        Remove unnecessary files, free space, and maintain privacy
License:        GPLv3+
BuildRequires:  python-devel desktop-file-utils gettext
Requires:       gnome-python2 pygtk2  
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.lzma
Group:          Applications/Productivity
BuildArch:      noarch
URL:            http://bleachbit.sourceforge.net/

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain 
privacy, and remove junk. Rid your system of old clutter including cache, 
cookies, Internet history, localizations, logs, temporary files, and broken 
shortcuts. It wipes clean the cache and history list of many common programs. 

%prep
%setup -q

%build
make -C po local 
%{__python} setup.py build


%install
make DESTDIR=%{buildroot} INSTALL="install -p" install \
 prefix=%{_prefix}

desktop-file-validate %{buildroot}/%{_datadir}/applications/bleachbit.desktop
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/CLI.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/GUI.py

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%exclude %{_datadir}/%{name}/Windows.py*

%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 22 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.7-1
- http://bleachbit.sourceforge.net/news/bleachbit-087

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.4-1
- http://bleachbit.sourceforge.net/news/bleachbit-084

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.0-2
- recompiling .py files against Python 2.7 (rhbz#623279)

* Tue Jun 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-080-released

* Tue Feb 23 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-1
- http://bleachbit.sourceforge.net/news/bleachbit-073-released

* Thu Nov 26 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-1
* http://bleachbit.sourceforge.net/news/bleachbit-071-released

* Fri Oct 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-070-released

* Thu Oct 01 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.5-1
- Support for cleaning Google Chrome
- http://bleachbit.sourceforge.net/news/bleachbit-065-released

* Wed Sep 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.4-1
- Updated directly from 0.6.1. Upstream skipped 0.6.2 release
- http://bleachbit.blogspot.com/2009/08/bleachbit-063-released.html
- http://bleachbit.sourceforge.net/news/bleachbit-064-released

* Tue Aug 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.1-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-061-released.html

* Mon Aug 03 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.0-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-cleaner-060-released.html

* Fri Jul 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-3
- Fix timestamp, add dist tag

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-2
- Fix review issues

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-1
- initial spec
